Support » Plugin: Multisite Post Reader » Error

  • Resolved quentro

    (@quentro)


    I get this error:

    Warning: call_user_func_array() expects parameter 1 to be a valid callback, class ‘mpr_Settings_Page’ does not have a method ‘mpr_page_init’ in …/wp-includes/class-wp-hook.php on line 298

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author rhellewell

    (@rhellewellgmailcom)

    Hmm…you must have debug settings different than mine…but, there was that missing function call.

    I’ve just released version 1.08. Update (or deactivate/remove/reinstall) via the plugin page.

    Let me know the results of the upgrade on your site.

    Sorry for the error.

    …Rick…

    Thread Starter quentro

    (@quentro)

    Error seems gone, but only when the shortcode looks something like this: [mpr_display days=6 items=10]
    When it looks like this [mpr_display], the error persists.

    Plugin Author rhellewell

    (@rhellewellgmailcom)

    Version 1.09 just released to fix this issue. There were some array elements not initialized, which caused error.log entries if error_reporting is set to “ALL”. A benign error, though, since the plugin still worked. But better to initialize those arrays to keep all error_reporting settings ‘happy’.

    Let me know how it works for you.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error’ is closed to new replies.